Bug 800550 - Vertical wheel does not work in F17 running as guest OS in KVM/Qemu
Vertical wheel does not work in F17 running as guest OS in KVM/Qemu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-apps (Show other bugs)
17
other Linux
unspecified Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 12:33 EST by Yao Wei Tjong
Modified: 2013-08-01 09:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yao Wei Tjong 2012-03-06 12:33:10 EST
Description of problem:
Both my Logitech mouse wheel and multimedia keyboard which also has a vertical wheel are not able to perform the scrolling action. It appears that vertical scroll events are not being generated.


Version-Release number of selected component (if applicable):
vmmouse - compiled for 1.11.99.901, module version = 12.7.0

How reproducible:
Always


Steps to Reproduce:
1. Boot F17 in a VM.
2. Open any application that has a vertical scrollbar.
3. Use the mouse wheel to scroll.
  
Actual results:
The content does not scroll as expected.

Expected results:
The content should scroll up or down according to the wheel scrolling direction.


Additional info:
Using the same hardware, "xev |grep button" in F16 VM produces events for 5  buttons.
button 1 - left click
button 2 - middle click
button 3 - right click
button 4 - wheel up
button 5 - wheel down

The same experiment in F17 produces only events for 3 buttons.
button 1 - left click
button 2 - middle click
button 3 - right click
Comment 1 Yao Wei Tjong 2012-04-06 09:05:56 EDT
Just yum updated recently. The problem seems to be fixed now.
Comment 2 Dan Beard 2012-04-08 08:03:23 EDT
Problem still exists on F17 beta i686 both liveCD and bare metal install.  (after updates April 8.)
Comment 3 Jeremy Newton 2012-04-18 16:51:25 EDT
I can confirm a similar issue on Fedora 17 beta.
What seems to happen for me is if I scroll up or down with my mouse wheel, it just jumps to the bottom of the page (the equivalent of pressing the end key).
This seems to only effect gtk3 apps for me (confirmed with nautilus, evolution, gnome-control-center), apps like Firefox seem not effected. Also would like to note that Gnome-Shell is not effected either.
Comment 4 Fedora End Of Life 2013-07-04 00:24:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:22:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.